Archive or cancel a pricing version - Barndoor Documentation
Archive or cancel a pricing version
cURL
curl --request DELETE \
--url https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "DELETE",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java (Unirest)
HttpResponse<String> response = Unirest.delete("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://app.barndoor.ai/api/llm-gateway/admin/model-pricing/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
200 OK
{ "deleted": true, "cancelled_scheduled": 123, "archived": true }404 Not Found
{ "error": "BadRequest", "message": "request_timeout_secs must be between 1 and 3600" }
Authorizations
- Authorization
Type: string
Location: header
Required: Yes
Description: JWT obtained through Barndoor's authentication flow. Pass the token verbatim inAuthorization: Bearer <token>. Use the Barndoor SDK'sloginInteractive()helper to obtain a token in scripts and notebooks.
Path Parameters
- id
Type: string (UUID)
Required: Yes
Response Structure
- Response
- Code: 200
- Type: application/json
- Schema:
- deleted (boolean)
- mode (enum
) - Available options:
archived_rule,cancelled_scheduled
- Available options:
- cancelled_scheduled (integer)
- archived (boolean)
- Code: 200